# Messaging

### Writing Messages

You can write messages using the input box with the text "Write a message..." at the bottom of Mattermost.

Press **ENTER** to send a message. Use **Shift+ENTER** to create a new line without sending a message.

### Formatting Messages

Mattermost messages are formatted using a standard called "markdown". Here are examples:

| Text Entered | How it appears |
|:---------------|:---------------|
|`**bold**`| **bold** |
| `_italic_`|_italic_|
|`[hyperlink](http://mattermost.org)`|[hyperlink](http://mattermost.org)|
|`![embedded image](https://travis-ci.org/mattermost/platform.svg)`|![embedded image](https://travis-ci.org/mattermost/platform.svg)|
|`:smile:` `:sheep:` `:alien:`|:smile: :sheep: :alien:|

Emojis provided free from [Emoji One](http://emojione.com/). Check out a full list of Emojis [here](http://emoji.codes/).


### Mentioning Teammates

You can mention a teammate by using the `@` symbol plus their username to send them a special notification to draw their attention.

For example, you might write:

```
@alice how did your interview go with the new candidate?
```

Which sends a special mention notification to **alice** to check your message.

To mention a teammate, press `@` and you should see a list of team members who can be messaged. You can either type their username or use the **Up** and **Down** arrow keys and then **ENTER** to select them to be mentioned.

You can configure how you'd like to be alerted about mentions of your username, your first name, your nickname, or other keywords from **Account Settings** > **Notifications** and you can set channel-specific preferences from **[Channel Name]** > **Notification Preferences**

### Messages Dropdown Menu

To get to the Messages Dropdown Menu, hover over a message and click on the [...] menu. This shows a dropdown list containing additional actions you can perform on a message:

- **Reply:** Opens up the sidebar so you can reply to a message in a comment thread.
- **Permalink:** Creates a link to the message. Sharing this link with other users in the channel lets them view the linked message in the Message Archives.
- **Delete:** Deletes the message so it is no longer visible. Team Administrators and System Administrators can also delete another user's message.
- **Edit:** Lets you edit your own message.
